org.apache.fop.render.print

## Class PagesMode

- java.lang.Object
- - org.apache.fop.render.print.PagesMode

-     public final class PagesMode
      extends Object

  Enum class for pages mode (all, even, odd pages).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PagesMode` | `ALL` the all pages mode
    `static PagesMode` | `EVEN` the even pages mode
    `static PagesMode` | `ODD` the odd pages mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PagesMode` | `byName(String name)` Returns a PagesMode instance by name.
    `String` | `getName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final PagesMode ALL

      the all pages mode

    - #### EVEN

          public static final PagesMode EVEN

      the even pages mode

    - #### ODD

          public static final PagesMode ODD

      the odd pages mode

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name of the enum

    - #### byName

          public static PagesMode byName(String name)

      Returns a PagesMode instance by name.
      Parameters:
        `name` - the name of the pages mode
      Returns:
        the pages mode

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2023 Apache Software Foundation. All rights reserved.